#include <iostream>

using namespace std;

int main()
{
    int N,M,ukupnaSreca=0,ukupnaSreca1=0;
    cin>>N>>M;
    int Druzeljubivost[N],X[M],Y[M],brPoz[N];
    for(int i=1;i<=N;i++)
    {
        brPoz[i]=0;
    }
    for(int i=1;i<=N;i++)
    {
        cin>>Druzeljubivost[i];
    }
    for(int i=0;i<M;i++)
    {
        cin>>X[i]>>Y[i];
        brPoz[X[i]]=brPoz[X[i]]+1;
        brPoz[Y[i]]=brPoz[Y[i]]+1;
    }
    for(int i=1;i<=N;i++)
    {
        ukupnaSreca1=ukupnaSreca1+(Druzeljubivost[i]*brPoz[i]);
        ukupnaSreca=ukupnaSreca+(Druzeljubivost[i]*(-brPoz[i]));
    }
    cout<<max(ukupnaSreca,ukupnaSreca1);
}